Activities: OpenMeetings

mod_openmeetings
Maintained by mee Sebastian Wagner, Picture of Michael Wuttke Michael Wuttke
OpenMeetings is a free browser-based software that allows you to set up instantly a conference in the Web. You can use your microphone and/or webcam, share documents on a white board, discuss in a chat, share your screen or record meetings. It is available as hosted service or you download and install a package on your own server.
1018 sites
1k downloads
35 fans

With this integration and the current OpenMeetings version 3.+ you can create different types of rooms and separated users in OpenMeetings with the access-level "SOAP-Only". The "SOAP-Only" user can do exactly what is needed to run the integration but nothing more. This does result in no need for any OpenMeetings Admin-User in the Moodle Module config! So you can better protect your OpenMeetings server from non-authorized access via the SOAP Gateway and no need to share confidential account data. "SOAP-Only" users can not login to OpenMeetings administration or manipulate user accounts via SOAP. OpenMeetings also supports access via https and ldap-/Active Directory- and OAuth2-Integration.

The latest OpenMeetings Moodle Module is for Moodle 3.2 and is compatible only with OpenMeetings version 3.2.x. It is recommended to update to the latest version of OpenMeetings.

Sample Video showing the installation of the Moodle Module and integration with new access level:

The features of the OpenMeetings Moodle Plugin:
- Openmeetings rooms can be displayed inside a Moodle course in a frame, in a new window or can occucy the entire window
- Secure "SOAP-Only" user access level (see documentation on top)
- 3 Moderation Types for Conference Rooms (Moodle admins, teachers and course creators are automatically a moderator):
Moderation Type A) Participants need to wait till the teacher enters the room
Moderation Type B) Participants can already start (first User in room becomes moderator)
Moderation Type C) Every participant is automatically moderator when he/she enters the room
- 3 Room Types (Conference, Interview & Webinar)
- New Flag "Allow Recording": You can set in the room configuration now a flag that controls if the recording button is available or not
- Moodle Module languages: German, French, Spanish, Italian, Russian, Brazilian (OpenMeetings itself has around 30 languages)
- Clear and restructure conference creation form for Moodle moderators

Tutorials for installing OpenMeetings you can find here:
    https://cwiki.apache.org/confluence/display/OPENMEETINGS/Tutorials+for+installing+OpenMeetings+and+Tools

Development of OpenMeetings: Apache Build Server & JIRA Issue Navigator:

    https://builds.apache.org/view/M-R/view/OpenMeetings/
    https://issues.apache.org/jira/browse/OPENMEETINGS/?selectedTab=com.atlassian.jira.jira-projects-plugin:summary-panel

OpenMeetings Mailinglists:
    http://mail-archives.apache.org/mod_mbox/openmeetings-user
    http://mail-archives.apache.org/mod_mbox/openmeetings-dev

Commercial Support for OpenMeetings:

    http://openmeetings.apache.org/commercial-support.html
    mailto:om.unipro@gmail.com

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4

Contributors

mee
Sebastian Wagner (Lead maintainer)
Picture of Michael Wuttke
Michael Wuttke: Contributor
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Elmer H.
    Mon, 23 Jan 2017, 8:10 PM
    We were unable to get this to work with OpenMeetings 3.1.4 - it failed with "invalid hash" whenever a user tried to enter a room. After downgrading to OpenMeetings 3.1.1, it works just fine using the exact same settings.
    Either a breaking API change was introduced in OpenMeetings 3.1.2, 3.1.3 or 3.1.4, or we did something stupid. smile

    Tested on Moodle 3.2 with PHP 5.6 using the OpenMeetings admin user.
  • Picture of ob kofi
    Tue, 24 Jan 2017, 5:18 AM
    Hello, Please i need help. i am receive this error, ( Invalid hash. Access denied. You have no rights to enter this room). Meanwhile i am the admin. Thank You
  • Picture of Michael Wuttke
    Sun, 29 Jan 2017, 10:48 PM
    Hello Elmer, Hello ob,

    the issue with OpenMeetings Version 3.1.4, you described is known by the developer of OpenMeetings: https://issues.apache.org/jira/browse/OPENMEETINGS-1530
    Please, don't use OM Version 3.1.4. Please use now the new released OM Version 3.1.5: http://mail-archives.apache.org/mod_mbox/openmeetings-dev/201701.mbox/%3CCAJmbs8iubirv9rr4-Z-y5qhXCZ9+6jYqUUsMqVEw6BT5w_XuEw@mail.gmail.com%3E

    Thanks & Greetings,
    Michael
  • Picture of Łukasz Sanokowski
    Thu, 16 Feb 2017, 6:21 PM
    Hello All

    I think that requiring PHP 7 in latest (2.0.0.6) version is unwise. Most of stable branches of Linux distros doesn't support it yet.
  • Picture of Juan Carrera
    Thu, 16 Feb 2017, 8:50 PM
    Hello All,
    I agree with Łukasz Sanokowski. You should avoid requiring higher versions than those required by corresponding Moodle version.
  • Picture of Michael Wuttke
    Mon, 20 Feb 2017, 2:36 AM
    Hello Łukasz, Hello Juan,

    sorry you are right. I've changed the requirements for version 2.0.0.6.

    Thanks & Greetings,
    Michael
  • Picture of Anton Saveliev
    Sat, 15 Apr 2017, 6:50 PM
    Hello All
    Could someone confirm the requirement of PHP7.0 for OM3.2.1? Especially with connection to openmeetings-moodle-plugin. The readme.md file of that plugin (https://github.com/openmeetings/openmeetings-moodle-plugin) contain the following info:
    ##Requirements## PHP 7.0 or later, OpenMeetings 3.2.0 or later and Moodle 2.9 or later.
    Is that correct ot its still possible to use older PHP for latest OM 3.2.1 and latest openmeetings-moodle-plugin ?
    (ubuntu 14.04.5 with php 5.5.9-1)
    Thanks,
    Anton
  • Picture of Michael Wuttke
    Tue, 18 Apr 2017, 8:00 PM
    Hello Anton,

    it is still possible to use older PHP versions like PHP 5.5 or 5.6. We should change the Requirements info in the readme file.

    Thanks & Greetings,
    Michael
  • Picture of Anton Saveliev
    Wed, 19 Apr 2017, 3:54 PM
    Thank you for reply!
  • Picture of Udaya Visweswara
    Thu, 11 May 2017, 5:34 PM
    I have hosted moodle 3.2.2+ on a remote server and have installed OpenMeetings plugin 2.0.2.5. When I am trying to add a new OpenMeeting activity to a course it failed with the following error

    Error While signing into OpenMeetings, please check credentials
    Error While signing into OpenMeetings, please check credentials
    Could not login User to OpenMeetings, check your OpenMeetings Module Configuration

    How can I solve this problem?

    Thank you in advance!
  • Picture of Michael Wuttke
    Mon, 12 Jun 2017, 10:23 PM
    Hello Udaya,

    which version of OpenMeetings do you use? Please if you can, use the latest OpenMeetings version.

    Thanks & Greetings,
    Michael
  • Picture of ob kofi
    Fri, 14 Jul 2017, 5:09 PM
    Hello, please i have succesfuly installed openmeetings on my server. Now it shows blank white screen in moodle. no error is displayed. it was working fine with moodle 2.9 and openmeetings 3.
    now its moodle 3.2 and openmeetings 3.2 its showing blank space
  • Picture of Michael Wuttke
    Fri, 14 Jul 2017, 10:46 PM
    Hello ob,

    which version of the OpenMeetings Moodle Plugin do you use? Please if you can, use the latest OpenMeetings Moodle Plugin (version 2.0.2.6).

    Thanks & Greetings,
    Michael
  • Picture of Martín Hernández
    Fri, 4 Aug 2017, 2:01 AM
    Ihave the same problem whit moodle 3.3.1+ ande OpenMeetings Moodle Plugin 2.0.2.7 . When I am trying to add a new OpenMeeting activity to a course it failed with the following error

    Error While signing into OpenMeetings, please check credentials
    Error While signing into OpenMeetings, please check credentials
    Could not login User to OpenMeetings, check your OpenMeetings Module Configuration

    Please help me.
  • Picture of Michael Wuttke
    Fri, 18 Aug 2017, 11:11 PM
    Hello Martin,

    also to you: Which version of OpenMeetings do you use? Please if you can, use the latest OpenMeetings version.

    Thanks & Greetings,
    Michael
1 2 3 4 5 6 7
Please login to post comments